Subject: BIRD18.2 (RETRANSMISSION)

From: [email-masked] ( Bob Ross)
Date: Fri, 5 Aug 94 14:36:38 PDT

IBIS members:

BIRD18.2 is revised version which has passed and has a text correction.

Bob Ross, Interconnectix, Inc.

*****************************************************************************

*****************************************************************************
                 Buffer Issue Resolution Document  (BIRD)

BIRD ID#:                18.2
ISSUE TITLE:             [Diff Pin] Parameter Order
REQUESTOR:               Bob Ross, Interconnectix, Inc. 
DATE SUBMITTED:          20 July 1994
DATE REVISED:            25 July 1984, 5 Aug 1994
DATE ACCEPTED BY IBIS OPEN FORUM:     5 August 1994

******************************************************************************

******************************************************************************

STATEMENT OF THE ISSUE:

There is no statement in the [Diff Pin] specification which specifies the
order of the columns, in contrast to specifications for other keywords.

******************************************************************************

STATEMENT OF THE RESOLVED SPECIFICATIONS:

The first paragraph of Usage Rules is modified using language similar to that
in the [Pin Mapping] keyword to state that the column order is fixed.

|==============================================================================
|    Keyword:  [Diff Pin]
|   Required:  No
|Description:  Associates differential pins, their differential
|              threshold voltages, and differential timing delays.
| Sub-Params:  inv_pin, vdiff, tdelay_typ, tdelay_min, tdelay_max
|Usage Rules:  Enter only differential pin pairs.  The first column,
|              [Diff Pin], contains a non-inverting pin number.  The second
|              column, inv_pin, contains the corresponding inverting pin number
|              for I/O output.  Each pin number must match the pin
|              numbers declared previously in the [Pin] section of the IBIS
|              file.  The third column, vdiff, contains the specified
|              output and differential threshold voltage between pins if
|              the pins are Input or I/O model types.  For output only
|              differential pins, the vdiff entry is 0V.  The forth, fifth,
|              and sixth columns, tdelay_typ, tdelay_min, and tdelay_max,
|              contain launch delays of the non-inverting pins relative to
|              the inverting pins.  The values can be either polarity.
|

******************************************************************************

ANALYSIS PATH/DATA THAT LED TO SPECIFICATION

For reference, the original Usage Rule text is presented here:

|Usage Rules:  Enter only differential pin pairs.  The [Diff Pin] column
|              contains a non-inverting pin number and the inv_pin column
|              always contains the corresponding inverting pin number for
|              I/O output.  The vdiff column contains the specified
|              output and differential threshold voltage between pins if
|              the pins are Input or I/O model types.  For output only
|              differential pins, the vdiff entry is 0V.  The tdelay columns
|              contain launch delays of the non-inverting pins relative to
|              the inverting pins.  The values can be either polarity.

The column headers for [Diff Pin] should be listed in the specified order.
We missed that point when writing the specification.  It should be clarified
in IBIS Version 2.1.  This restriction should simplify all parsers and
should not cause anyone any problems. 

IBIS Ver. 2.0 specifies that the column headers for [Pin Mapping] must appear
in the listed order.  The first three column headings of [Pin] must also
appear in the listed order, but the last three column headings for L_pin,
C_pin and R_pin can appear in any order as long as they are all listed.

The order of columns for all keywords which support typ-min-max columns is
fixed since no column headers are specified (the specification gives optional
comment line headings for clarity).

******************************************************************************

ANY OTHER BACKGROUND INFORMATION

******************************************************************************